/*
 * Bluemote - use your Bluetooth enabled T610 or compatible Sony Ericsson phone as
 * a remote for your PC.
 * Copyright (C) 2004
 * Saravana K Kannan <saravkrish at uky dot edu>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include "bluemote.h"
#include "keyboard.h"

KeyCode
string_to_keycode(Display *d, char *string)
{
  KeyCode kc;
  KeySym ks;
  char tmp[MAXLEN];


  ks = XStringToKeysym( string );
  if(ks == NoSymbol)
  {
    sprintf(tmp, "Unable to resolve keysym for '%s'\n", string );
    logger("ERROR",tmp);
    return (string_to_keycode(d, "space"));
  }

  kc = XKeysymToKeycode(d, ks);

  return kc;
}

void
key_down_up (Display *d, char *string, int press)
{
  XTestGrabControl (d, True);
  XTestFakeKeyEvent (d, string_to_keycode(d, string), press, CurrentTime);
  XTestGrabControl(d, False);
  XFlush(d);
}
